import { INetResponse } from "../Engine/CatanEngine/NetManagerV2/Core/INetResponse";
import Lobby from "../Lobby/Lobby";
import WebSocketServerClass from "../NetManager/WebSocketServerClass";

export default class MainControlData {
	constructor() {
		WebSocketServerClass.Instance.OnDataReceived.AddCallback(this._serverData, this)
	}

	/** SERVER主動通知 */
	private _serverData(req: INetResponse<any>): void {
		if (req.IsValid) {
			switch (req.Method) {
				case "lobby.list":
					Lobby.List(req);
					break
				case "lobby.create":
					Lobby.Create(req);
					break
				default:
					// if (GameMain.Instance && GameMain.Instance.node && GameMain.Instance.node.parent) {
					// 	GameMain.Instance.SettingBase.OnNetDataReceived(resp)
					// }
					break
			}
		}
	}
}